if (!self.define) {
  const e = e => {
      "require" !== e && (e += ".js");
      let r = Promise.resolve();
      return s[e] || (r = new Promise((async r => {
        if ("document" in self) {
          const s = document.createElement("script");
          s.src = e, document.head.appendChild(s), s.onload = r
        } else importScripts(e), r()
      }))), r.then((() => {
        if (!s[e]) throw new Error(`Module ${e} didn’t register its module`);
        return s[e]
      }))
    },
    r = (r, s) => {
      Promise.all(r.map(e)).then((e => s(1 === e.length ? e[0] : e)))
    },
    s = {
      require: Promise.resolve(r)
    };
  self.define = (r, i, n) => {
    s[r] || (s[r] = Promise.resolve().then((() => {
      let s = {};
      const o = {
        uri: location.origin + r.slice(1)
      };
      return Promise.all(i.map((r => {
        switch (r) {
          case "exports":
            return s;
          case "module":
            return o;
          default:
            return e(r)
        }
      }))).then((e => {
        const r = n(...e);
        return s.default || (s.default = r), s
      }))
    })))
  }
}
define("/service-worker.js", ["/workbox-15dd0bab"], (function(e) {
  "use strict";
  self.skipWaiting(), e.clientsClaim(), e.precacheAndRoute([{
    url: "/assets/dist/0fef02f2566c454dbf7f.woff2?47135579",
    revision: null
  }, {
    url: "/assets/dist/15c21b1bc053794b2aba.woff?47135579",
    revision: null
  }, {
    url: "/assets/dist/6bf7014ff88b319899fd.eot?47135579",
    revision: null
  }, {
    url: "/assets/dist/8b2596475d592281a2c6.svg?47135579",
    revision: null
  }, {
    url: "/assets/dist/8fde1cc71370cffa859d.ttf?47135579",
    revision: null
  }, {
    url: "/assets/dist/bundle.min.js",
    revision: "205d58339121678a05b093b55cb94975"
  }, {
    url: "/assets/dist/bundle.js.LICENSE.txt",
    revision: "3af165d2deaad8c050f1b3ba9ee09d10"
  }, {
    url: "/assets/dist/style.css",
    revision: "6309767356c2156f9293f99791f4859e"
  }], {})
}));
